WFS 2.18.1 slow with PostGIS layer

2016-11-28 09:25 AM - Nicolas Boisteault

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23821

Description

OS : Ubuntu Server 16.04

QGIS Server : 2.18.1

PostgreSQL : 9.6

PostGIS : 2.3

In my projet I have a layer with about 2500 rows, 2 columns and no geometry.

If I wget the WFS :

time wget -pq --no-cache --delete-after

"http://127.0.0.1/cgi-bin/qgis_mapserv.fcgi?SERVICE=WFS&VERSION=1.0.0&REQUEST=GetFeature&TYPENAME=especes&PROPERTYNAME=nom_scientifique%2Cid&OUTPUTFOR

RTYNAME=nom_scientifique%2Cid&OUTPUTFORMAT=GeoJSON&GEOMETRYNAME=none&map=path_to_my_project.qgs"

Result with QGIS 2.14.9 :

real    0m0.379s

user    0m0.003s

sys     0m0.002s

Now with QGIS 2.18.1 :

real    0m13.438s

user    0m0.001s

sys     0m0.007s

As you can see, it is very very slow.

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-05-31 04:39 PM - Even Rouault

- Description updated

- Category changed from Unknown to QGIS Server
#4 - 2018-09-26 04:36 PM - Nicolas Boisteault

- Status changed from Open to Closed

I can't reproduce the issue in QGIS 2.18.24. Good work developers!

#5 - 2018-09-27 09:23 AM - Giovanni Manghi

- Resolution set to fixed/implemented
